Wrong or no visualization of data between ADTF 2.14 and ADTF 3.0.0 using Support TB 2.0.0

2017-04-05 16:00 - hidden

Status: Closed   

Priority: Normal   

Category:    

Customer: BMW Product Issue

Numbers:

http://km-aev.in.audi.vwg/redmine/issues

/39738;

http://km-aev.in.audi.vwg/redmine/issues

/39740

Department: SUPPORT Affected Products: ADTF 2.14.0, ADTF 3 Support Toolbox

2.0.0, ADTF 3.0.0

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 3rd Level Topic: ADTF::Common

Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage:

Ich habe die ADTF 3 Supprot TB 2.0.0 mal in Betrieb genommen, und versucht das mitgelieferte Demo auf der ADTF v3 Seite so

abzuändern dass es einem möglichen Anwender Szenario näher kommt.

Das Demo selbst funktioniert so wie es ist, ich denke aber dass ein Anwender eher daran interessiert ist, anstatt die Daten einfach

nur per Loopback IPC an die ADTF v2 Config zurück zu schicken, diese vorher noch in einem ADTF v3 Filtergraphen zu

manipulieren.

Deswegen habe ich ein ADTF v3 Projekt neben den Demo-Verzeichnissen erstellt und mit v3 CE die Session geladen. Dann einen

2. Streaming-Graphen erzeugt (bei mir "loop_back_w_filtergraph"), welcher die DDL-STRUCT- und den video- Stream an einen

eigenen v3 Filtergraphen weiterleitet.

In diesem Filtergraphen (bei mir namens "test"), sollten die Daten zumindest mal angezeigt werden (mit

DemoMediaDescriptionDisplay und DemoQtVideoDisplay), sowie dann auch wieder über den Streaming-Graphen zurück an ADTF

v2 gesendet werden.

--> letzteres klappt soweit auch, und egal ob "mit oder ohne einen Sample Stream dazwischen" in der config "test" (siehe dort, hab

ich zu Test-Zwecken jeweil alternativ aktiviert oder deaktiviert), das reine Zurücksenden der Daten an die ADTF v2 Instanz

funktioniert (v2 > v3 -> v2), das Video und die DDL werden in ADTF v2 angezeigt.

Jedoch bei beiden Filtern in ADTF v3 bekomme ich immer den nichts-sagenden Error (-> siehe Screenshot im Anhang).

Und das egal ob die Verbindung "mit oder ohne Sample Stream" zwischen dem Streaming Inport aktiviert, oder ob ohne.

Vergleichend mit anderen Examples (die bei v3 mitgeliefert werden) hab ich auch testweise noch Sample Streams im

Streaming-Graph (zwischen HostOnlySource und dem Filtergraph-Dock) eingebaut, ...gleiches Ergebnis: das reine Durchleiten der

Daten (ADTF v2 -> v3 -> v2) funktioniert, aktiviert man jedoch einen der Filter kommen wieder die Errors.

==> Wo liegt das Problem ? was mache/konfiguriere ich falsch ? oder handelt es sich um einen Bug ?

Im Anhang die nichts-sagende Fehlermeldung "Interface or object '' requested not found"

sowie mein Verzeichnis des in der ADTF 3 Support-TB mitgelieferten Examples.

Reproduzieren: dieses irgendwohin auspacken und im v3 CE das Projekt laden: demo\adtf3_project\adtf3_project.adtfproject

hier dann wie gesagt: Session "Loopback" zusammen mit Streaming-Graph "loop_back_w_filtergraph" und dem Filetrgraph "test"

ja, hier sind zuviele Connections gezogen, welche aber zu den jeweiligen Einzeltests deaktiviert wurden.

--> dann einen der beiden Filter aktivieren und die demo/run.bat ausführen.

vielen Dank für Infos woran es liegt,

Gruß

Uwe Schreiber
--

Uwe Schreiber

ADTF Support

Lösung:

Damit die ADTF3 Config lauffähig ist muss im CE unter Services noch: adtf_xsystem.service.adtf geladen werden.

Zu folgenden Punkten wurde jeweils ein Bug-Ticket erstellt.

http://km-aev.in.audi.vwg/redmine/issues/39738

http://km-aev.in.audi.vwg/redmine/issues/39740

1) ihr müsst klären wieso dort "no valid video" steht

 Hier ist aufgefallen das es nur für Videos gilt die von dem ADTF2 Virtual Clock Device aufgenommen wurden.

Die mit ausgelieferten Example Videos funktionieren einwandfrei.

2) das MediaDescriptionDisplay scheint auch nicht korrekt zu funktionieren: es zeigt zwar Werte an, aber die Struct-Member

Namen selbst (linke Spalte) fehlen ! (sieht man auch auf deinem Screenshot) ...dort sollte ui8Val ui16Val etc. stehen. Auch

müsste da doch tSimpleStruct_BE als root stehen (so wie im ADTF v2 zu sehen) und nicht einfach nur STRUCT ?

 Hier hab ich festgestellt das NESTED_STRUCT's anscheinend funktionieren. Aber auch bei diesem wird vermutlich einfach der Pin

Name als root verwendet.

Aufgenommen wurden diese Daten vom unter ADTF 2.14 mit dem Demo Media Description Coder.

Wiedergabe unter ADTF 2.14:

 aufnahme.PNG 

Wiedergabe unter ADTF 3.0.1:

 

History

#1 - 2017-04-07 10:33 - hidden

- File demo_problem.zip added

wie ich sehe wurde mein zip von der Mail entfernt, deswegen lade ich es hier nochmal manuell ins Ticket.

#2 - 2017-04-07 13:02 - hidden

- Project changed from Public Support to 3

- Topic set to ADTF3SupportTB::Common

- Customer set to BMW
- Department set to SUPPORT

- Affected Products ADTF 3 Support Toolbox 2.0.0 added

- Platform Windows 7 64bit added

#3 - 2017-04-10 09:01 - hidden

- Description updated

- Status changed from New to In Progress

#4 - 2017-04-10 14:37 - hidden

- Topic changed from ADTF3SupportTB::Common to ADTF::Common

- Affected Products ADTF 2.14.0, ADTF 3.0.0 added

Hallo Uwe,

so wie ich das sehe ist an deiner Konfiguration nichts falsches. Das Problem scheint mir aber nicht an der ADTF 3 Support Toolbox zu liegen, da der

gleiche Fehler auch ohne Auftritt. Warum kann ich dir leider nicht beantworten. Ich hab das Ticket an Sebastian weitergegeben. Mit ihm werde ich

morgen noch einmal die Supportanfrage durchgehen. Es sieht meiner Meinung nach einem Bug im ADTF 3 aus.

@Sebastian, lass uns das bitte morgen zusammen anschauen.

#5 - 2017-04-10 16:23 - hidden

Vielleicht fehlt ja in der ADTF v3 Config auch irgendein Service, um die beiden Filter in Betrieb zu nehmen ? oder eine Property eines Services ist

nicht richtig gesetzt ?

Leider kann man aus der Fehlermeldung nicht viel entnehmen, um was es eigentlich geht, aber ihr könntet das ja mal debuggen.

Gruß Uwe

#6 - 2017-04-18 16:53 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Uwe,

damit die ADTF3 Config lauffähig ist muss im CE unter Services noch: adtf_xsystem.service.adtf geladen werden.

Dann erscheint keine Fehlermeldung mehr und man kann sich die Daten im Media Description Display ansehen.

Warum das Qt Video Display das Video nicht anzeigt weiß ich nicht. Es gibt nur "no vaild video" zurück.

#7 - 2017-04-19 10:15 - hidden

Hallo Stephan,

ich habe den xsystem.service noch hinzugefügt, und erneut getestet.

Leider sehe ich nur ein graues Fenster mit "ADTF - Loopback" im Titel, ansonsten KEIN Inhalt, kein MediaDescriptionDisplay kein Video.

Dabei hab ich wieder getestet "mit und ohne Samplestream dazwischen" (im Filtergraph "test"), vollkommen egal, das Fenster bleibt leer und grau.

Auch hab ich beide Filter getestet (zusammen und auch einzeln jeweils aktiviert), egal ob MediaDescriptionDisplay aktiv oder das Qt Video Display

aktiv, oder auch beide: das Fenster bleibt grau und leer. (und: es bleibt auch nur 1 Fenster, nicht etwa 2 wenn man beide Filter enabled hat)

Eine Fehlermeldung "no valid video" sehe ich auch nicht, kann aber sein das dies an meinem ADTF2+3 Demo Test liegt, WO sollen denn da

überhaupt Consolen-Meldungen von der ADTF 3 Instanz erscheinen ? in dem adtf_control Fenster (wo man die run.bat startet) jedenfalls erscheint

nix.

Kannst du bitte nochmal genau meine Demo-Kombination mit ADTF 3 und 2.14 incl. der "ADTF 3 Support-TB" v2.0.0 testen ?

Was fehlt da noch ? Eventl. auch Properties ?

Ich selbst werde jetzt noch ADTF v3.0.1 installieren und dann damit nochmal testen.

Es MUSS doch möglich sein, so ein simples Beispiel zum Laufen zu bekommen, ein Video und ein DDL-Display ?

Gruß Uwe

--

Uwe Schreiber

ADTF Support
#8 - 2017-04-19 10:33 - hidden

- File auswahl.png added

- File anzeige.png added

Hallo Uwe,

Leider sehe ich nur ein graues Fenster mit "ADTF - Loopback" im Titel, ansonsten KEIN Inhalt, kein MediaDescriptionDisplay kein Video.

 Damit die beiden Displays im Fenster "ADTF - Loopback" angezeigt werden, musst du diese einmalig per Rechtsklick auswählen.

 

 

Dabei hab ich wieder getestet "mit und ohne Samplestream dazwischen" (im Filtergraph "test"), vollkommen egal, das Fenster bleibt leer und

grau.

Samplestreams im Filter Graph Editor werden nur benötigt, wenn du z.B. eine Verbindung zwischen zwei unterschiedlichen Filtern herstellen

möchtest.

z.B.

Filter A

Input Pin video verbunden mit einem Streaming Inport vom Streaming Graph Editor. Zeigt das Video an und schleift es durch um Output

Pin

Wenn jetzt z.B. das Video noch weiterverarbeitet werden soll von Filter B benötigst du zwischen Filter A & B einen Samplestream.

Eine Fehlermeldung "no valid video" sehe ich auch nicht, kann aber sein das dies an meinem ADTF2+3 Demo Test liegt, WO sollen denn da

überhaupt Consolen-Meldungen von der ADTF 3 Instanz erscheinen ? in dem adtf_control Fenster (wo man die run.bat startet) jedenfalls

erscheint nix.

 Die Fehlermeldung erscheint im Demo Qt Video Display selbst.

#9 - 2017-04-19 11:00 - hidden

Vielen Dank für die schnellen Antworten und Infos.

Ich werde dann mit v3.0.1 weiter testen.

"per Rechtsklick auswählen" ...na da muss man erstmal drauf kommen :-) ...ist eben doch ganz anders das v3

Gruß
Uwe

--

Uwe Schreiber

ADTF Support

#10 - 2017-04-19 11:03 - hidden

Hallo Uwe,

ist das Support Ticket nun für dich abgeschlossen oder sind noch Fragen offen?

Ansonsten würde ich das Ticket gerne schließen.

#11 - 2017-04-19 11:12 - hidden

Hallo Stephan,

also mit v3.0.1 jetzt getestet, und ich erhalte das gleiche Ergebnis wie du: MediaDescrDisplay zeigt Values an, Video: no valid.

Im Prinzip wäre das Ticket hier erledigt, 2 Punkte sollten aber in Bug-Tickets weiter verfolgt werden:

1) ihr müsst klären wieso dort "no valid video" steht

2) das MediaDescriptionDisplay scheint auch nicht korrekt zu funktionieren: es zeigt zwar Werte an, aber die Struct-Member Namen selbst (linke

Spalte) fehlen ! (sieht man auch auf deinem Screenshot) ...dort sollte ui8Val ui16Val etc. stehen.

auch müsste da doch tSimpleStruct_BE als root stehen (so wie im ADTF v2 zu sehen) und nicht einfach nur STRUCT ?

#12 - 2017-04-19 15:51 - hidden

- File abspielen.png added

- File aufnahme.PNG added

- Resolution set to Product Issue Opened

- Product Issue Numbers set to http://km-aev.in.audi.vwg/redmine/issues/39738; http://km-aev.in.audi.vwg/redmine/issues/39740

Hallo Uwe,

ich habe zu Punkt 1 & 2 jeweils ein Bug-Ticket erstellt.

http://km-aev.in.audi.vwg/redmine/issues/39738

http://km-aev.in.audi.vwg/redmine/issues/39740

1) ihr müsst klären wieso dort "no valid video" steht

 Hier ist aufgefallen das es nur für Videos gilt die von dem ADTF2 Virtual Clock Device aufgenommen wurden.

Die mit ausgelieferten Example Videos funktionieren einwandfrei.

2) das MediaDescriptionDisplay scheint auch nicht korrekt zu funktionieren: es zeigt zwar Werte an, aber die Struct-Member Namen selbst (linke

Spalte) fehlen ! (sieht man auch auf deinem Screenshot) ...dort sollte ui8Val ui16Val etc. stehen.

auch müsste da doch tSimpleStruct_BE als root stehen (so wie im ADTF v2 zu sehen) und nicht einfach nur STRUCT ?

 Hier hab ich festgestellt das NESTED_STRUCT's anscheinend funktionieren. Aber auch bei diesem wird vermutlich einfach der Pin Name als root

verwendet.

Aufgenommen wurden diese Daten vom unter ADTF 2.14 mit dem Demo Media Description Coder.

Wiedergabe unter ADTF 2.14:

 aufnahme.PNG 

Wiedergabe unter ADTF 3.0.1:
Damit sollte das Support Ticket abgeschlossen sein.

Dürfen wir es public machen?

#13 - 2017-04-19 16:06 - hidden

Hallo Stephan,

ja kannst du schliessen und public machen.

#14 - 2017-04-20 09:21 - hidden

- Project changed from 3 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

#15 - 2017-04-20 09:21 - hidden

- Support Level changed from 2nd Level to 3rd Level

#16 - 2017-04-21 13:17 - hidden

- Status changed from To Be Closed to Closed

#17 - 2017-04-21 13:25 - hidden

- Subject changed from ADTF 3 Support TB 2.0.0: Problem bei Änderung ADTF 3 Demo config to Wrong or no visualization of data between ADTF

2.14 and ADTF 3.0.0 using Support TB 2.0.0

Files

media_description_display_error.PNG 22.9 KB 2017-04-05 hidden

demo_problem.zip 11.1 KB 2017-04-07 hidden

auswahl.png 19 KB 2017-04-19 hidden

anzeige.png 19.2 KB 2017-04-19 hidden

abspielen.png 30.2 KB 2017-04-19 hidden

aufnahme.PNG 19.4 KB 2017-04-19 hidden
